
#include <avr/io.h>
#include <util/delay.h>

int apasat;
int deschis;

/* Aprinde led-ul PC0 la apasarea butonului PB2. */
void box(void) {
	/* Setez pinul PB2 ca intrare. */
	DDRB &= (~(1 << PB0) & ~(1 << PB1) & ~(1 << PB3));
	
	/* Activez rezistenta de pull-up pentru pinul PB2. */
	PORTB |= (1 << PB0) | (1 << PB1) | (1 << PB3);

	/* Setez pinul PC0 ca iesire. */
	DDRC |= (1 << PC0) | (1 << PC1) | (1 << PC2) | (1 << PC3);
	DDRD |= (1 << PD7);


	/* Sting LED-ul. */
	PORTC &= ~((1 << PC0) | (1 << PC1) | (1 << PC2) | (1 << PC3)) ;
	PORTD &= ~(1 << PD7);

	while(1) {
		if(PINB == (0XFF & (~(1 << PB0)))) {
			if(apasat == 1) {
				//PORTD &= ~(1 << PD7);
				apasat = 0;
				PORTC |= (1 << PC0);
				_delay_ms(100);
				PORTC &= ~(1 << PC0);
				deschis = 1;
			}
		} 
		if(PINB == (0XFF & (~(1 << PB1)))){
			if(apasat == 0) {
				//PORTD |= (1 << PD7);
				apasat = 1;
				PORTC |= (1 << PC1);
				_delay_ms(50);
				PORTC &= ~(1 << PC1);
			}		
		}
		if(PINB == (0XFF & (~(1 << PB0)) & (~(1 << PB3)))) {
			if(deschis == 1) {
				deschis = 0;
				PORTD |= (1 << PD7);
				PORTC |= (1 << PC1);
				_delay_ms(100);
				PORTC &= ~(1 << PC1);
				PORTD &= ~(1 << PD7);
				_delay_ms(500);
				PORTC |= (1 << PC0);
				_delay_ms(50);
				PORTC &= ~(1 << PC0);
			}
		}
	}
}

int main(void) {
	box();
	
	return 0;
}
